
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>利用性能探测器分析内存泄漏 / iVAN</title>

    <meta name="description" content="利用性能探测器分析内存泄漏 在之前发表的文章&quot;如何使用性能探测器的 *STATS和*PROFILE/PGM功能&quot;里面,我解释了性能探测器的*STATS和*PROFILE数据集合类型,使用这两种集合类型可以非常便捷的进行数据收集,并能很容易的分析出CPU时间被哪些地方所使用.在这篇文章里,我将切换一下角度,去集中分析内存泄漏问题.内存泄漏是指那些在堆里分配的.但是无法被释放或者无法被重新分配的内存.这是在C/C++代码中很常见的问题,通常是由于程序员的疏忽,导致应用程序在进入某个异常甚至是正常的分支时没能 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">利用性能探测器分析内存泄漏</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在之前发表的文章“如何使用性能探测器的 *STATS和*PROFILE/PGM功能”里面，我解释了性能探测器的*STATS和*PROFILE数据集合类型，使用这两种集合类型可以非常便捷的进行数据收集，并能很容易的分析出CPU时间被哪些地方所使用。在这篇文章里，我将切换一下角度，去集中分析内存泄漏问题。内存泄漏是指那些在堆里分配的、但是无法被释放或者无法被重新分配的内存。这是在C/C++代码中很常见的问题，通常是由于程序员的疏忽，导致应用程序在进入某个异常甚至是正常的分支时没能正确的释放内存资源，程序员的技术水平决定了代码中是否有内存泄漏风险。</p>
<p>注意：这个讨论不适用于Java堆，因为Java从系统内存存储区创建自己的堆区，在Java堆区分配的内存空间最终将被垃圾回收器自动清理。</p>
<p>收集数据</p>
<p>为了能够收集到分析内存泄漏所需要的数据，必须要收集堆存储事件，其中包括系统堆、用户堆、常驻堆、本地堆、激活组堆、基于处理的堆以及C运行时堆（V5R3之后才支持的新功能）。要想收集到包括C运行时在内所有的这些事件，需要遵循以下步骤。</p>
<p>1. 给环境变量QYPE_ALLHEAP设置一个有效的值：</p>
<p>ADDENVVAR QYPE_ALLHEAP VALUE(ALL)</p>
<p>使用这个变量的原因是C运行时堆事件功能在发布到V5R3版本的时候，并没有对命令ADDPEXDFN做相应的修改。在未来版本(V6R1以后的版本)中，*CLEHEAP事件将会在ADDPEXDFN命令的STGEVT参数中被支持，因此就不需要再对这个环境变量进行设置了。</p>
<p>2. 现在使用ADDPEXDFN命令为堆事件添加定义。在参数中指定堆存储事件，上一步设置的环境变量将会使得所有的其他堆事件都被添加。</p>
<p>ADDPEXDFN DFN(HEAPTRC) TYPE(*TRACE) TRCTYPE(*SLTEVT) SLTEVT(*YES) STGEVT(*USRHEAP) JOB(*ALL) TASK(*ALL) MAXSTG(100000)</p>
<p>3. 删除之前设置的环境变量，这样可以避免以后你不经意当中创建一个包括了所有堆事件的定义。</p>
<p>RMVENVVAR ENVVAR(QYPE_ALLHEAP)</p>
<p>4. V5R2版本不支持*CLEHEAP事件，所以你需要遵循下面的定义来指定所有V5R2支持的堆事件。</p>
<p>ADDPEXDFN DFN(HEAPTRC) TYPE(*TRACE) TRCTYPE(*SLTEVT) SLTEVT(*YES) STGEVT((*SYSHEAP) (*RESHEAP) (*LCLHEAP) (*USRHEAP) (*ACTGRPHEAP) (*HDLHEAP))  JOB(*ALL) TASK(*ALL) MAXSTG(100000)</p>
<p>5. 现在有可以启动性能探测器的跟踪日志功能：</p>
<p>STRPEX SSNID(ALLHEAP) DFN(HEAPTRC)</p>
<p>这将使得性能探测器跟踪系统上所有作业以及任务的堆活动情况，直到收集的数据量达到100MB或者人为终止跟踪日志为止。</p>
<p>6. 使用下面的命令来结束跟踪日志程序：</p>
<p>ENDPEX SSNID(ALLHEAP)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 13:37:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6/" title="事件">事件</a>, <a href="https://www.iamivan.net/tag/%e8%b7%9f%e8%b8%aa/" title="跟踪">跟踪</a>, <a href="https://www.iamivan.net/tag/%e5%a0%86/" title="堆">堆</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98%e6%b3%84%e6%bc%8f/" title="内存泄漏">内存泄漏</a>, <a href="https://www.iamivan.net/tag/%e5%a0%86%e5%8c%ba/" title="堆区">堆区</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>利用性能探测器分析内存泄漏的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8A9Pxz.html" rel="bookmark">使用Memory Analyzer tool&lpar;MAT&rpar;分析内存泄漏（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[本文转载于使用Memory Analyzer tool(MAT)分析内存泄漏(二)] 前言 在使用Memory Analyzer tool(MAT)分析内存泄漏(一)中,我介绍了内存泄漏的前因后果.在本文中,将介绍MAT如何根据heap dump分析泄漏根源.由于测试范例可能过于简单,很容易找出问题,但我期待借此举一反三.一开始不得不说说ClassLoader,本质上,它的工作就是把磁盘上的类文件读入内存,然后调用java.lang.ClassLoader.defineClass方法告诉系统把			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ1LR2p.html" rel="bookmark">详解Android性能优化之内存泄漏&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				综述 内存泄漏(memory leak)是指由于疏忽或错误造成程序未能释放已经不再使用的内存.那么在Android中,当一个对象持有Activity的引用,如果该对象不能被系统回收,那么当这个Activity不再使用时,这个Activity也不会被系统回收,那这么以来便出现了内存泄漏的情况.在应用中内出现一次两次的内存泄漏获取不会出现什么影响,但是在应用长时间使用以后,若是存在大量的Activity无法被GC回收的话,最终会导致OOM的出现.那么我们在这就来分析一下导致内存泄漏的常见因素并且如何			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBPjYap.html" rel="bookmark">Android Studio 3&period;0上分析内存泄漏的原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以前用eclipse的时候,我们采用的是DDMS和MAT,不仅使用步骤复杂繁琐,而且要手动排查内存泄漏的位置,操作起来比较麻烦.后来随着Android studio的潮流,我也抛弃了eclipse加入了AS. Android Studio也开始支持自动进行内存泄漏检查,并且操作起来也比较方便. 封面 戳我下载 Android Studio 3.0 这个不用梯子我会告诉你吗 1.写在前面 Google在上周发布了Android Studio 3.0的正式版本,周四早晨在上班的地铁上就看到群里在沸沸			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnK2B2z.html" rel="bookmark">Android性能优化之内存泄漏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				综述 内存泄漏(memory leak)是指由于疏忽或错误造成程序未能释放已经不再使用的内存.那么在Android中,当一个对象持有Activity的引用,如果该对象不能被系统回收,那么当这个Activity不再使用时,这个Activity也不会被系统回收,那这么以来便出现了内存泄漏的情况.在应用中内出现一次两次的内存泄漏获取不会出现什么影响,但是在应用长时间使用以后,若是存在大量的Activity无法被GC回收的话,最终会导致OOM的出现.那么我们在这就来分析一下导致内存泄漏的常见因素并且如何			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlO9Zqb.html" rel="bookmark">详解Android性能优化之内存泄漏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				综述 内存泄漏(memory leak)是指由于疏忽或错误造成程序未能释放已经不再使用的内存.那么在Android中,当一个对象持有Activity的引用,如果该对象不能被系统回收,那么当这个Activity不再使用时,这个Activity也不会被系统回收,那这么以来便出现了内存泄漏的情况.在应用中内出现一次两次的内存泄漏获取不会出现什么影响,但是在应用长时间使用以后,若是存在大量的Activity无法被GC回收的话,最终会导致OOM的出现.那么我们在这就来分析一下导致内存泄漏的常见因素并且如何			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQL80wz.html" rel="bookmark">Android性能优化之利用Rxlifecycle解决RxJava内存泄漏详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 其实RxJava引起的内存泄漏是我无意中发现了,本来是想了解Retrofit与RxJava相结合中是如何通过适配器模式解决的,结果却发现了RxJava是会引起内存泄漏的,所有想着查找一下资料学习一下如何解决RxJava引起的内存泄漏,就查到了利用Rxlifecycle开源框架可以解决,今天周末就来学习一下如何使用Rxlifecycle. 引用泄漏的背景: RxJava作为一种响应式编程框架,是目前编程界网红,可谓是家喻户晓,其简洁的编码风格.易用易读的链式方法调用.强大的异步支持等使得R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrDqKOz.html" rel="bookmark">Android App性能评测分析－内存篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.内存了解 在Android App的性能优化的各个部分里,内存方面的知识较多且不易理解,内存的问题绝对是最令人头疼的一部分,需要对内存基础知识.内存分配.内存管理机制等非常熟悉,才能排查问题. 1.1 了解进程的地址空间 在32位操作系统中,进程的地址空间为0到4GB,这里主要说明一下Stack和Heap:Stack空间(进栈和出栈): 由操作系统控制,其中主要存储函数地址.函数参数.局部变量等等,所以Stack空间不需要很大,一般为几MB大小. Heap空间: 它的使用由程序员控制,程序员			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0xl7p.html" rel="bookmark">分析Android内存泄漏的几种可能&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 内存泄漏简单地说就是申请了一块内存空间,使用完毕后没有释放掉.它的一般表现方式是程序运行时间越长,占用内存越多,最终用尽全部内存,整个系统崩溃.由程序申请的一块内存,且没有任何一个指针指向它,那么这块内存就泄露了. 从用户使用程序的角度来看,内存泄漏本身不会产生什么危害,作为一般的用户,根本感觉不到内存泄漏的存在.真正有危害的是内存泄漏的堆积,这会最终消耗尽系统所有的内存.从这个角度来说,一次性内存泄漏并没有什么危害,因为它不会堆积,而隐式内存泄漏危害性则非常大,因为较之于常发性和偶发性内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bojNEEz.html" rel="bookmark">详解Android内存泄漏检测与MAT使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内存泄漏基本概念 内存检测这部分,相关的知识有JVM虚拟机垃圾收集机制,类加载机制,内存模型等.编写没有内存泄漏的程序,对提高程序稳定性,提高用户体验具有重要的意义.因此,学习Java利用java编写程序的时候,要特别注意内存泄漏相关的问题.虽然JVM提供了自动垃圾回收机制,但是还是有很多情况会导致内存泄漏. 内存泄漏主要原因就是一个生命周期长的对象,持有了一个生命周期短的对象的引用.这样,会导致短的对象在该回收时候无法被回收.Android中比较典型的有:1.静态变量持有Activity的co			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpml5Me.html" rel="bookmark" class="title">阿里云使用Windows系统通用配置有哪些问题</a>
					<div>
						安装和使用FTP/ Windows2003 硬盘分区和格式化For Windows 2008 服务器被肉鸡了怎么办? 使用FileZilla配置FTP站点 Docker私有镜像库 Windows系统云 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP4Grp.html" rel="bookmark" class="title">CSS 样式切换方法详细讲解</a>
					<div>
						css 样式与数据分离所带来的不只是符合标准这样的简单,样式既然与数据分离那么样式的切换则变得理所当然的了!但是网上这样的中文教程实在是太少了!所以我收集了一部分中外网站已经实现的技术资料整理出来供网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeqNNz.html" rel="bookmark" class="title">在产品设计工作中总结的一些沟通心得</a>
					<div>
						文章描述:项目中的一点沟通心得. 我们每天都在通过各种方式与人沟通,但是这些沟通是真正有效的吗?我们是否总是在不知不觉中,被沟通障碍牵绊住了前进的脚步,沉浸在消极的工作情绪之中却还不自知呢? 以下是我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnVgKz.html" rel="bookmark" class="title">C&num;实现二、八、十六进制数转十进制数的算法</a>
					<div>
						二进制换为十进制的方法,例如: 二进制数:11001 十进制数:1*24+1*23+0*22+0*21+1*20=25 八进制换为十进制的方法,例如: 八进制数:32007 十进制数:3*84+2*8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDArBrb.html" rel="bookmark" class="title">PHP常用函数和常见疑难问题解答</a>
					<div>
						虽然PHP在整体功能上不如Java强大,但相比PHP而言Java算是较重量级的,所以在小中型系统的开发上,使用PHP的趋势不可挡,就算是大型网站,比如淘宝也部分使用了PHP(Java后台逻辑+PHP前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY85oM.html" rel="bookmark" class="title">那些令人愉悦的动画特效</a>
					<div>
						  由于静态图片传达信息的有限性,很多动态效果需要设计师通过添加设计说明并配合口述才能表达.这样做的优点是节约时间,有助于实现快速迭代,成本较低;但这样做的缺点是不够直观,很多细节存在于设计师自己的心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZEKlb.html" rel="bookmark" class="title">英特尔第七代酷睿CPU有哪些优势</a>
					<div>
						英特尔正式在全球范围内解禁第七代智能酷睿处理器.在规格方面,第七代酷睿处理器依旧采用14nm制程工 艺,TDP最低功耗为4.5W,相比十年前的第一代酷睿,提高了10倍的性能.在2016年第四季度,将有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3egWp.html" rel="bookmark" class="title">xp系统打印机如何设置双面打印</a>
					<div>
						有些打印机拥有双面打印的功能,能充分的利用纸张,十分的实用,虽然价格比较高.大部分情况下拥有双面打印功能的打印机默认不会打印双面,需要进行一定的设置,个别的设置偏麻烦. 点击屏幕左下角的&quot;开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WJe0b.html" rel="bookmark" class="title">Hadoop学习资源集合</a>
					<div>
						Hadoop是一个由Apache基金会所开发的开源分布式系统基础架构.用户可以在不了解分布式底层细节的情况下,开发分布式程序,充分利用集群的威力进行高速运算和存储.Hadoop得以在大数据处理应用中广 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7wxXb.html" rel="bookmark" class="title">iOS中sqlite数据库的原生用法&lowbar;IOS</a>
					<div>
						在iOS中,也同样支持sqlite.目前有很多第三方库,封装了sqlite操作,比如swift语言写的SQLite.swift.苹果官网也为我们封装了一个框架:CoreData. 它们都离不开Sqli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRn0dz.html" rel="bookmark" class="title">BIOS&sol;EC如何控制蓝牙工作</a>
					<div>
						问题描述 BIOS/EC如何控制蓝牙工作 蓝牙工作过程中BIOS/EC会有什么样的动作?开关蓝牙时,BIOS/EC执行命令的过程是怎样的? 解决方案 看底层蓝牙驱动程序					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRxARp.html" rel="bookmark" class="title">《PaaS程序设计》一3&period;2 可移植性：不再繁琐</a>
					<div>
						3.2 可移植性:不再繁琐 可移植PaaS是这样一种平台,在其上运行的代码编写完成之后,就不需要进行较大修改.开发者在共享主机或者专用主机上开发的代码迁移到可移植PaaS上不再那么困难.想要运行应用不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZga3wb.html" rel="bookmark" class="title">微信新规&colon;下一步准备怎么走</a>
					<div>
						导读:自从微信公众平台于2012年推出之后,微营销便在国内风靡起来,作为微营销的宠儿--微信,也是被惹得一身&quot;骚&quot;. 但事实就是这样,人红是非多.微信营销时代下的产物--微信公众平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40qJ9z.html" rel="bookmark" class="title">Mysql常用sql方法</a>
					<div>
						1.mysql 导出文件:    SELECT `pe2e_user_to_company`.company_name, `pe2e_user_to_company`.company_code, `u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RVomz.html" rel="bookmark" class="title">我不想做程序员了</a>
					<div>
						问题描述 csdn大家好,我可能不做程序员了,但是自已又很纠结. 解决方案 解决方案二:...我的路才开始...解决方案三:该回复于2011-03-17 08:41:18被版主删除解决方案四:..最烦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw01mM.html" rel="bookmark" class="title">OpenStack新版本：新增近350个功能，修复Bug超2900个</a>
					<div>
						[编者按]在OpenStack Icehouse版本正式发布之前的6个月里,有来自全球超过120家公司与机构的员工参与其中,代码贡献者超过1200名,比2013年的Havana 版本提高了32%.来自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyPJdz.html" rel="bookmark" class="title">求大虾帮忙解决在tomcat下添加&period;xml配置文件连接数据库的问题&period;&period;&period;&period;&period;&period;&period;&period;&period;</a>
					<div>
						问题描述 在tomcat安装目录下如:ApacheSoftwareFoundationapache-tomcat-5.5.27confCatalinalocalhost添加一个[img=C:Docum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60vnWz.html" rel="bookmark" class="title">求高手，Java目录结构求解~</a>
					<div>
						问题描述 为什么我的jrebin目录下面没有client文件夹啊?只有server... 解决方案 解决方案二:像我使用的jdk-6u24-linux这两个在$JAVA_HOME/jre/lib/i3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL8rNM.html" rel="bookmark" class="title">《Docker容器：利用Kubernetes、Flannel、Cockpit和Atomic构建和部署》&mdash;&mdash;2&period;3　小结</a>
					<div>
						2.3 小结 多种不同的Linux系统都提供了Docker.除了使用标准Linux系统(如Ubuntu.Fedora.Red Hat Enterprise Linux或者CentOS)来运行Docke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8oArb.html" rel="bookmark" class="title">php实现的双向队列类实例&lowbar;php技巧</a>
					<div>
						本文实例讲述了php实现的双向队列类及其用法,对于PHP数据结构与算法的学习有不错的参考价值.分享给大家供大家参考.具体分析如下: (deque,全名double-ended queue)是一种具有队 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1lrab.html" rel="bookmark" class="title">js定时器的使用&lpar;实例讲解&rpar;&lowbar;javascript技巧</a>
					<div>
						在javascritp中,有两个关于定时器的专用函数,分别为: 1.倒计定时器:timename=setTimeout(&quot;function();&quot;,delaytime);2.循环定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkR5Xz.html" rel="bookmark" class="title">tab之间的编程</a>
					<div>
						问题描述 小弟我编了一个小程序有两个tab页,现在我想在tab2中调用tab1的资源(图片框的图像),如box1.GetPixel方法,怎么办?谢谢了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPmlZp.html" rel="bookmark" class="title">崔广福：旅游产业的幕后推手</a>
					<div>
						作为一个CEO,要学老子,要悟&quot;道&quot;,要顺势而为,要相信人定不能胜天,要判准大势,要看准方向 文/本刊记者 李国柱 &quot;斯文儒雅.博学多才&quot;,这或许是崔广福留给大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRyPDz.html" rel="bookmark" class="title">遨游</a>
					<div>
						问题描述 遨游浏览器怎么实现的,是多线程是吗,还有就是数据库优化怎么实现的.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLByXZb.html" rel="bookmark" class="title">openmeetings v1&period;6&period;1发布 多语言可定制视频会议协作系统</a>
					<div>
						OpenMeetings是一个多语言17813.html&quot;&gt;可定制的http://www.aliyun.com/zixun/aggregation/18237.html&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgWPl5M.html" rel="bookmark" class="title">JS 在数组插入字符的实现代码&lpar;可参考JavaScript splice&lpar;&rpar; 方法&rpar;&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: Array.prototype.ArrayInsertAfter=function(Num,obj) { var tempArr=new Array(); var l=this. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqOqmOz.html" rel="bookmark" class="title">久游网即将要推出交友网站</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 据消息人士透露,久游网即将推出基于游戏的交友网站--久友网,目前正在测试阶段;另据可靠消息,QQ也正在研发SNS产品,推出校园平台等产品,把Qzone等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvqQ4Nb.html" rel="bookmark" class="title">一起聊了聊&OpenCurlyDoubleQuote;移动语音社交的下一站&rdquo;</a>
					<div>
						09年上线的Tango基于熟人社交关系提供视频通话服务,不过它现在发展得越来越像微信了,除了支持文字和语音通讯,用户可以在其中完成购买表情.消费音乐.发现应用.玩游戏等操作.就在一个月前,Tango宣 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZw04qb.html" rel="bookmark" class="title">支付宝成为国内首个印象笔记付费渠道合作伙伴</a>
					<div>
						印象笔记开通高级账户 7月19日消息,印象笔记宣布正式开通高级账户,支付宝成为国内首个印象笔记付费渠道合作伙伴. 印象笔记中国区总经理谷懿表示,经过三个月的筹备,印象笔记正式开通高级帐户服务支付渠道. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo3aKXb.html" rel="bookmark" class="title">X-UA-Compatible 兼容模式详解</a>
					<div>
						为了将这个风险降到最低,IE6允许网页开发人员选择IE编译和显示他们网页的方式.&quot;Quirks mode&quot;为预设,这会使页 面以旧版本浏览器的视点显示,&quot;Standard ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
